#include <avr\io.h>
#include "adc.h"

void InitADC()
{
	
	ADMUX=0;
	ADMUX=(1<<REFS0);// For Aref=AVcc;
	//referinta AVCC cu condesator extern pe pinul AREF;

	// activeaza ADC si il pune in modul free running (auto trigger). Prescaler de ceas la maximum. FARA intrerupere la conversie completa.
	ADCSRA=0;
	ADCSRA = (1<<ADEN) |(1<<ADPS0) | (1<<ADPS1) | (1<<ADPS2)|(1<<ADSC);
	
}

int ADC_get(uint8_t channel)
{
	//TODO
	//setati canalul de pe care vreti sa faceti citirea
	ADMUX = ADMUX& 0xe0;
	ADMUX |= channel;
	ADCSRA |= (1<<ADSC);
	//asteptati sa se termine o conversie
	loop_until_bit_is_set (ADCSRA,ADIF);
	//returnati rezultatul conversiei
	return ADC;
}

#include <math.h>

